Subject: Re: [PATCH net-next v2 00/12] selftests: drv-net: convert GRO and Toeplitz tests to work for drivers in NIPA

From: Willem de Bruijn <[email-masked]>
Date: Tue, 18 Nov 2025 17:31:50 -0500

Jakub Kicinski wrote:
> Main objective of this series is to convert the gro.sh and toeplitz.sh
> tests to be "NIPA-compatible" - meaning make use of the Python env,
> which lets us run the tests against either netdevsim or a real device.
> 
> The tests seem to have been written with a different flow in mind.
> Namely they source different bash "setup" scripts depending on arguments
> passed to the test. While I have nothing against the use of bash and
> the overall architecture - the existing code needs quite a bit of work
> (don't assume MAC/IP addresses, support remote endpoint over SSH).
> If I'm the one fixing it, I'd rather convert them to our "simplistic"
> Python.
> 
> This series rewrites the tests in Python while addressing their
> shortcomings. The functionality of running the test over loopback
> on a real device is retained but with a different method of invocation
> (see the last patch).
> 
> Once again we are dealing with a script which run over a variety of
> protocols (combination of [ipv4, ipv6, ipip] x [tcp, udp]). The first
> 4 patches add support for test variants to our scripts. We use the
> term "variant" in the same sense as the C kselftest_harness.h -
> variant is just a set of static input arguments.
> 
> Note that neither GRO nor the Toeplitz test fully passes for me on
> any HW I have access to. But this is unrelated to the conversion.
> This series is not making any real functional changes to the tests,
> it is limited to improving the "test harness" scripts.
> 
> v2:
>  [patch  5] fix accidental modification of gitignore
>  [patch  8] fix typo in "compared"
>  [patch  9] fix typo I -> It
>  [patch 10] fix typoe configure -> configured
> v1: https://lore.kernel.org/[email-masked]
> 
> Jakub Kicinski (12):
>   selftests: net: py: coding style improvements
>   selftests: net: py: extract the case generation logic
>   selftests: net: py: add test variants
>   selftests: drv-net: xdp: use variants for qstat tests
>   selftests: net: relocate gro and toeplitz tests to drivers/net
>   selftests: net: py: support ksft ready without wait
>   selftests: net: py: read ip link info about remote dev
>   netdevsim: pass packets thru GRO on Rx
>   selftests: drv-net: add a Python version of the GRO test
>   selftests: drv-net: hw: convert the Toeplitz test to Python
>   netdevsim: add loopback support
>   selftests: net: remove old setup_* scripts

For the series:

Reviewed-by: Willem de Bruijn <[email-masked]>